﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Flyer_Explosion : MonoBehaviour {

	CircleCollider2D collider;

	public float currentLifeTime = 0f;
	public float maxLifeTime = 0.5f;

	public Propaganda propaganda;

	void OnTriggerEnter2D(Collider2D other)
	{

		Debug.Log ("Collision detected");
		GameObject collisionEntity = other.gameObject;

		if (collisionEntity.tag == "Entity") {
			collisionEntity.GetComponent<playerController> ().encounterPropaganda (propaganda);
		}
	}



	// Use this for initialization
	void Start () {
		collider = GetComponent<CircleCollider2D> ();
		Debug.Log ("i am alive");
	}
	
	// Update is called once per frame
	void Update () {


		currentLifeTime += Time.deltaTime;


		if(currentLifeTime > maxLifeTime) {
			Destroy (gameObject);
		}
	}
}
