﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Propaganda : MonoBehaviour {


	public float empathy = 0;
    public float reason = 0;
    public float greed = 0;
    public float fun = 0;
    public float fear = 0;

	public Propaganda() {}
	public Propaganda(float empathy, float reason, float greed, float fun, float fear) {
		this.empathy = empathy;
		this.reason = reason;
		this.greed = greed;
		this.fun = fun;
		this.fear = fear;
	}

	public float getSum() {
		return empathy + reason + greed + fun + fear;
	}

	public float getPercentage() {
		return getSum() / 5.0f;
	}

	public static Propaganda operator +(Propaganda p1, Propaganda p2) {
		return new Propaganda(
			p1.empathy 	+ p2.empathy,
			p1.reason 	+ p2.reason,
			p1.greed 	+ p2.greed,
			p1.fun 		+ p2.fun,
			p1.fear 	+ p2.fear
		);
	}
}
